カテゴリー
iBeacon

iBeacon対応Androidアプリの挙動

開発用にEstimote SDKのAndroid版もでています
https://github.com/Estimote/Android-SDK

要件はAndroid4.3以上でBLE対応してる端末
Estimote SDK for Android is a library to allow interaction with iBeacons. The SDK system requirements are Android 4.3 or above and Bluetooth Low Energy.


AndroidはOSバージョン4.3以降
現状、ハードウェアとOS両対応してるのは下記4機種のみ
Nexus 5
Galaxy S4
Galaxy Note 3
Galaxy J

市場での対応機種は現時点でほぼ0%です
ただし、ハードウェアのみ対応してるものはまだいくつかあるので、OSのアップグレードが追いつけば、対応端末も増えそうです

現実的には
AndroidでBLEなアプリの企画は1年後ぐらいからでしょうか
当面はiPhoneとiPad向けのみの企画になりますね